<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\Database</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_DAVERAGE" title="DAVERAGE ::DAVERAGE.">
            <span class="description">DAVERAGE.</span><pre>DAVERAGE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DCOUNT" title="DCOUNT ::DCOUNT.">
            <span class="description">DCOUNT.</span><pre>DCOUNT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DCOUNTA" title="DCOUNTA ::DCOUNTA.">
            <span class="description">DCOUNTA.</span><pre>DCOUNTA</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DGET" title="DGET ::DGET.">
            <span class="description">DGET.</span><pre>DGET</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DMAX" title="DMAX ::DMAX.">
            <span class="description">DMAX.</span><pre>DMAX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DMIN" title="DMIN ::DMIN.">
            <span class="description">DMIN.</span><pre>DMIN</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DPRODUCT" title="DPRODUCT ::DPRODUCT.">
            <span class="description">DPRODUCT.</span><pre>DPRODUCT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DSTDEV" title="DSTDEV ::DSTDEV.">
            <span class="description">DSTDEV.</span><pre>DSTDEV</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DSTDEVP" title="DSTDEVP ::DSTDEVP.">
            <span class="description">DSTDEVP.</span><pre>DSTDEVP</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DSUM" title="DSUM ::DSUM.">
            <span class="description">DSUM.</span><pre>DSUM</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DVAR" title="DVAR ::DVAR.">
            <span class="description">DVAR.</span><pre>DVAR</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DVARP" title="DVARP ::DVARP.">
            <span class="description">DVARP.</span><pre>DVARP</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_fieldExtract" title="fieldExtract ::fieldExtract.">
                                <span class="description">fieldExtract.</span><pre>fieldExtract</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_filter" title="filter ::filter.">
                                <span class="description">filter.</span><pre>filter</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getFilteredColumn" title="getFilteredColumn ::">
                                <span class="description"></span><pre>getFilteredColumn</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Database</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_DAVERAGE"></a>
                        <div class="element clickable methodpublic method_DAVERAGE" data-toggle="collapse" data-target=".method_DAVERAGE .collapse">
                            <h2>DAVERAGE.</h2>
                            <pre>DAVERAGE(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Averages the values in a column of a list or database that match conditions you specify.</p>
<p>Excel Function:
DAVERAGE(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DCOUNT"></a>
                        <div class="element clickable methodpublic method_DCOUNT" data-toggle="collapse" data-target=".method_DCOUNT .collapse">
                            <h2>DCOUNT.</h2>
                            <pre>DCOUNT(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Counts the cells that contain numbers in a column of a list or database that match conditions
that you specify.</p>
<p>Excel Function:
DCOUNT(database,[field],criteria)</p>
<p>Excel Function:
DAVERAGE(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>TODO
                                                </th>
                                                <td><p>The field argument is optional. If field is omitted, DCOUNT counts all records in the
database that match the criteria.</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DCOUNTA"></a>
                        <div class="element clickable methodpublic method_DCOUNTA" data-toggle="collapse" data-target=".method_DCOUNTA .collapse">
                            <h2>DCOUNTA.</h2>
                            <pre>DCOUNTA(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Counts the nonblank cells in a column of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DCOUNTA(database,[field],criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>TODO
                                                </th>
                                                <td><p>The field argument is optional. If field is omitted, DCOUNTA counts all records in the
database that match the criteria.</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DGET"></a>
                        <div class="element clickable methodpublic method_DGET" data-toggle="collapse" data-target=".method_DGET .collapse">
                            <h2>DGET.</h2>
                            <pre>DGET(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Extracts a single value from a column of a list or database that matches conditions that you
specify.</p>
<p>Excel Function:
DGET(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DMAX"></a>
                        <div class="element clickable methodpublic method_DMAX" data-toggle="collapse" data-target=".method_DMAX .collapse">
                            <h2>DMAX.</h2>
                            <pre>DMAX(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the largest number in a column of a list or database that matches conditions you that
specify.</p>
<p>Excel Function:
DMAX(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DMIN"></a>
                        <div class="element clickable methodpublic method_DMIN" data-toggle="collapse" data-target=".method_DMIN .collapse">
                            <h2>DMIN.</h2>
                            <pre>DMIN(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the smallest number in a column of a list or database that matches conditions you that
specify.</p>
<p>Excel Function:
DMIN(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DPRODUCT"></a>
                        <div class="element clickable methodpublic method_DPRODUCT" data-toggle="collapse" data-target=".method_DPRODUCT .collapse">
                            <h2>DPRODUCT.</h2>
                            <pre>DPRODUCT(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Multiplies the values in a column of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DPRODUCT(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DSTDEV"></a>
                        <div class="element clickable methodpublic method_DSTDEV" data-toggle="collapse" data-target=".method_DSTDEV .collapse">
                            <h2>DSTDEV.</h2>
                            <pre>DSTDEV(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Estimates the standard deviation of a population based on a sample by using the numbers in a
column of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DSTDEV(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DSTDEVP"></a>
                        <div class="element clickable methodpublic method_DSTDEVP" data-toggle="collapse" data-target=".method_DSTDEVP .collapse">
                            <h2>DSTDEVP.</h2>
                            <pre>DSTDEVP(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Calculates the standard deviation of a population based on the entire population by using the
numbers in a column of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DSTDEVP(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DSUM"></a>
                        <div class="element clickable methodpublic method_DSUM" data-toggle="collapse" data-target=".method_DSUM .collapse">
                            <h2>DSUM.</h2>
                            <pre>DSUM(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Adds the numbers in a column of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DSUM(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DVAR"></a>
                        <div class="element clickable methodpublic method_DVAR" data-toggle="collapse" data-target=".method_DVAR .collapse">
                            <h2>DVAR.</h2>
                            <pre>DVAR(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Estimates the variance of a population based on a sample by using the numbers in a column
of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DVAR(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DVARP"></a>
                        <div class="element clickable methodpublic method_DVARP" data-toggle="collapse" data-target=".method_DVARP .collapse">
                            <h2>DVARP.</h2>
                            <pre>DVARP(array&lt;mixed,mixed&gt; $database,integer|string $field,array&lt;mixed,mixed&gt; $criteria): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Calculates the variance of a population based on the entire population by using the numbers
in a column of a list or database that match conditions that you specify.</p>
<p>Excel Function:
DVARP(database,field,criteria)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Database Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>integer|string</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_fieldExtract"></a>
                        <div class="element clickable methodprivate method_fieldExtract" data-toggle="collapse" data-target=".method_fieldExtract .collapse">
                            <h2>fieldExtract.</h2>
                            <pre>fieldExtract(array&lt;mixed,mixed&gt; $database,mixed $field): null|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Extracts the column ID to use for the data field.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code>mixed</code><p><p>Indicates which column is used in the function. Enter the
column label enclosed between double quotation marks, such as
&quot;Age&quot; or &quot;Yield,&quot; or a number (without quotation marks) that
represents the position of the column within the list: 1 for
the first column, 2 for the second column, and so on.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>null|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_filter"></a>
                        <div class="element clickable methodprivate method_filter" data-toggle="collapse" data-target=".method_filter .collapse">
                            <h2>filter.</h2>
                            <pre>filter(array&lt;mixed,mixed&gt; $database,array&lt;mixed,mixed&gt; $criteria): array</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Parses the selection criteria, extracts the database rows that match those criteria, and
returns that subset of rows.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that makes up the list or database.
A database is a list of related data in which rows of related
information are records, and columns of data are fields. The
first row of the list contains labels for each column.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>The range of cells that contains the conditions you specify.
You can use any range for the criteria argument, as long as it
includes at least one column label and at least one cell below
the column label in which you specify a condition for the
column.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p><p>of mixed</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFilteredColumn"></a>
                        <div class="element clickable methodprivate method_getFilteredColumn" data-toggle="collapse" data-target=".method_getFilteredColumn .collapse">
                            <h2>getFilteredColumn</h2>
                            <pre>getFilteredColumn( $database, $field, $criteria)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$database</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$field</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$criteria</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\Database"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Database.html">Database</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:48 +0000.<br/>
    </footer></body>
</html>
